using UnityEngine;
using UnityEngine.UI;
using UnityEngine.EventSystems;
using UnityEngine.Events;

namespace GeneralBehaviour
{
    public class OnDeselectActionBtn : MonoBehaviour, IDeselectHandler
    {
        public UnityEvent action;
        public void OnDeselect(BaseEventData eventData)
        {
            action?.Invoke();
            gameObject.SetActive(false);
        }


    }

}